from rest_framework.viewsets import ModelViewSet
from .models import StockOperation
from .serializers import StockOperationSerializer

class StockOperationViewSet(ModelViewSet):
    queryset = StockOperation.objects.all()
    serializer_class = StockOperationSerializer

def handle_goods_reception(sender, instance, created, **kwargs):
    if created and instance.is_accepted:
        from warehouse.models import Stock